# Notes

- Container will configure vscode's settings to recognize .pl files as Prolog rather than the default Perl.
- Will install extensions for lisp, prolog, and ASP
- Will configure SBCL to use ~~rlwrap~~ so that you have history when using a lisp REPL
    - (Currently using the slightly worse rlfe instead of rlwrap due to rlwrap breaking all the time)

# How to use

1. You will need to have vscode and Docker installed.
    - You must be able to run docker without `sudo`. To test this try running `docker version` and see if you get a permission error. If you get an error, see this [document for instructions on how to run docker without root privileges](DockerHelp.md).
For Ubuntu, docker is installed with `sudo apt install docker.io`
2. Install the vscode extension for docker dev containers as shown in the image below
![Step 1](howtouse_devcontainer/1.png)

3. Clone this repository (or just download it) and open the folder that contains the .devcontainer folder

![Step 2](howtouse_devcontainer/2.png)

4. Your folder structure should look like the following

![Step 3](howtouse_devcontainer/3.png)

5. Open the commands palette (CTRL + SHIFT + P) or (CTRL + P + >) and type "open in container" and select "Dev Containers: Reopen in Container"

![Step 4](howtouse_devcontainer/4.png)

6. It may take a bit to download the docker container, go grab a coffee

7. Confirm that you're running in the container and have the extensions shown in the following image installed

![Step 5](howtouse_devcontainer/5.png)


8. Only the folders `.devcontainer`, `.vscode` and the file `Dockerfile` are needed for the container to function correctly. Delete everything else including `.git`
